org.apache.ignite.internal.processors.cache.persistence

## Class GridCacheDatabaseSharedManager.RestoreLogicalState

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.RestoreStateContext
  - - org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.RestoreLogicalState

Enclosing class:
  GridCacheDatabaseSharedManager

    public static class GridCacheDatabaseSharedManager.RestoreLogicalState
    extends GridCacheDatabaseSharedManager.RestoreStateContext

Restore logical state context. Tracks the safety of logical recovery.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.RestoreStateContext

`lastArchivedSegment, lastRead, log`

### Constructor Summary

Constructors
Constructor and Description
`RestoreLogicalState(long lastArchivedSegment, IgniteLogger log)`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.RestoreStateContext

`lastReadRecordPointer, next, throwsCRCError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestoreLogicalState

    public RestoreLogicalState(long lastArchivedSegment,
                               IgniteLogger log)

Parameters:
  `lastArchivedSegment` - Last archived segment index.
  `log` - Ignite logger.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018